---
title: Date.prototype.toSource()
slug: Web/JavaScript/Reference/Global_Objects/Date/toSource
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}} {{obsolete_header}}</div>

<p>The <strong><code>toSource()</code></strong> method returns a string representing the source code of the object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>dateObj</var>.toSource()
Date.toSource()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the source code of the given {{jsxref("Global_Objects/Date", "Date")}} object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Native_function">Native function</h3>

<p>For the built-in {{jsxref("Date")}} object, <code>toSource()</code> returns the following string indicating that the source code is not available:</p>

<pre class="brush: js">function Date() {
    [native code]
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.Date.toSource")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toSource()")}}</li>
</ul>
